%define sourcedir stable/%{version}/distribution/tar/generic/source
%define pkg kdegames
%define is_release 1
%define beta %{nil}
%define DATE 20010823
Version: 2.2
%define rel 3

Name: %{pkg}
BuildPrereq: qt-devel kdelibs-devel zlib-devel libjpeg-devel libpng-devel kdelibs-sound-devel fam-devel
Prefix: /usr
%if %{is_release}
%if "%{beta}" != ""
Release: 1.%{beta}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}-%{beta}.tar.bz2
%else
Release: %{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{version}.tar.bz2
%endif
%else
Release: 1.cvs%{DATE}.%{rel}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{pkg}-%{DATE}.tar.bz2
%endif
Patch: kdegames-2.1-kpatcards.patch
Patch1: kdegames-2.2-cvsfixes.patch
Icon: kde-icon.xpm
Summary: Games for KDE.
Epoch: 6
Group: Amusements/Games
BuildRoot: %{_tmppath}/%{pkg}-buildroot
License: GPL

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdegames package contains games for KDE, like kabalone,
kasteroids, kblackbox, kmahjongg, kmines, konquest, kpat, kpoker,
kreversi, ksame, kshisen, ksokoban, kspaceduel, and ktron.

%prep
rm -rf $RPM_BUILD_ROOT

%if %{is_release}
%setup -q -n %{pkg}-%{version}
%else
%setup -q -n %{pkg}
%endif
# Don't ship CVS files
find . -type d -name CVS |xargs rm -rf
%patch -p1 -b .bug
%patch1 -p1 -b .cvs
make -f Makefile.cvs

%build
export KDEDIR=%{prefix}
unset QTDIR || : ; . /etc/profile.d/qt.sh

CFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG" CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG -DNDEBUG -fno-check-new" \
./configure --prefix=%{prefix} --includedir=%{prefix}/include/kde # --enable-final re-enable when gcc is fixed
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/kspaceduel.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/kspaceduel.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/32x32/apps/lskat.png
rm -f $RPM_BUILD_ROOT/usr/share/icons/locolor/16x16/apps/lskat.png

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{pkg}

# Make symlinks relative
cd $RPM_BUILD_ROOT/usr/share/doc/HTML/en
for i in *; do
	if [ -d $i -a -L $i/common ]; then
		rm -f $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i/common
		ln -sf ../common $RPM_BUILD_ROOT/usr/share/doc/HTML/en/$i
	fi
done

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{pkg}

%files -f ../file.list.%{pkg}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Wed Sep 12 2001 Tim Powers <timp@redhat.com>
- rebuild with new gcc and binutils

* Thu Aug 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Remove CVS files (#52289)
- Remove dupes from kdeartwork-locolor (part of #51582)
- Merge fixes from KDE_2_2_BRANCH

* Mon Aug  6 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-1
- 2.2 final

* Sun Jul 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010722.1
- Update
- Work around ia64 breakages
- Add build requirements (#48977)

* Thu Feb 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix problem when changing the card type (Bug #28824)

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1-respin

* Tue Feb 20 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Feb 11 2001 Than Ngo <than@redhat.com>
- don't use make -j CPU, it's broken

* Thu Feb  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Run ldconfig in %%post and %%postun to make libkdegames happy
- Replace absolute symlinks with relative symlinks (#24787)

* Mon Jan 22 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- includedir=/usr/include/kde,
  now that libkdegames installs kcarddeck.h

* Wed Jan 17 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Get rid of the gcc bug workaround, it's no longer needed

* Mon Jan  1 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Update
- Don't exclude ia64

* Wed Nov 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to HEAD

* Sat Oct 28 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to KDE_2_0_BRANCH, now that the ".0 release" bugs are fixed.

* Mon Oct 16 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0 final

* Tue Oct  3 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.0

* Mon Oct  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new CVS
- work around g++ bugs (in kjumpingcube)

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.93

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new version

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- fix docdir
- rebuild 16 July snapshot

* Thu Jul 13 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- SMPify
- don't hardcode QTDIR

* Tue Jul 11 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use gcc 2.96
- new snapshot

* Tue Jun 20 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- ExcludeArch ia64 for now

* Sat Mar 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- new snapshot
- move it to /usr, where it belongs

* Fri Oct 22 1999 Bernhard Rosenkraenzer <bero@redhat.de>
- 2.0 snapshot

* Fri Sep 24 1999 Preston Brown <pbrown@redhat.com>
- mark doc files as such

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- 1.1.2 release.

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com> 
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release
- ripped out asteroids and sirtet

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Feb 05 1999 Preston Brown <pbrown@redhat.com>
- rebuilt for new libstdc++ etc.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged updates from Duncan Haldane, change /opt/kde --> /usr

